import QtQuick 2.0
import DataStoreComponents 1.0
import LoggerComponents 1.0

import "." as S7App_Components
Item {

    //   property alias settingsModel:settingsListModel
    property string arrowText:""
  

    Headline {
        id: headline
        width: parent.width
        z:50

        headline_text: stringStore.settings
        backbutton_visible: true

        onButtonBackClicked: {
            Logger.consoleLog(def.logInfo,"Button Back from Headline Settings clicked!")
            backButtonOperation()

        }
    }

    Flickable{
        width: parent.width
        height: parent.height - headline.height
        anchors.top: parent.top; anchors.topMargin: headline.height

        contentHeight: col.height

        flickableDirection: Flickable.VerticalFlick
        boundsBehavior: Flickable.DragOverBounds


        Column{
            id: col
            width: parent.width

            CaptionListEntry{
                caption: stringStore.langSelectionHeading
                onFieldClicked: stackview.pushPage(language_settings);
            }

            ListSeperator{}

            CaptionListEntry{
                caption: stringStore.refrFrequencyTitle
                onFieldClicked: stackview.pushPage(refresh_freq_settings);
            }

            ListSeperator{}

            CaptionListEntry{
                caption: stringStore.changePassword
                onFieldClicked:
                {
                    screen_changepwd.screenMode = 2;
                    stackview.pushPage(screen_changepwd);
                }
            }
        }
    }


    function backButtonOperation()
    {
        stackview.popPage();
    }

    Keys.onPressed: {
        Logger.consoleLog(def.logInfo,"Keypressed:in settings" )
        event.accepted = true;
        if (event.key === Qt.Key_Back)
        {
            backButtonOperation()
        }
    }
}

