import QtQuick 2.2
import LoggerComponents 1.0

import "." as S7App_Components

Component {


    Item {
        id: tagItem
        width: parent.width
        height:def.trendviewListItemHeight
        property int time:0
        property bool clearSelectedTrend:screen_trendView.clearSelectedTrend
        property color trendColor:def.trendViewIndicatorDefaultColor

        MouseArea {
            id: mouseArea
            enabled:true
            anchors.fill: parent
            onClicked: {
                Logger.consoleLog(def.logInfo,"Tag clicked = " + index)
            }
        }

        Checkmark{
            id: checkbox
            visible: true
            height:def.trendViewListCheckBoxHeight
            width:height
            anchors {left: parent.left; leftMargin: def.borderDistanceLeft;verticalCenter: parent.verticalCenter}
            onCheckmarkClicked: {

                isSelected = !isSelected;
                if(screen_trendView.dataModel.getSelectedDataElementCount() === 8 && isSelected)
                {
                    isSelected = false

                    screen_trendView.trendMsg.title = stringStore.trendAlertMsgTitle
                    screen_trendView.trendMsg.text = stringStore.trendLimitationMsg
                    screen_trendView.trendMsg.open()
                }
                else
                {
                    if(isSelected)
                    {
                        trendColor = screen_trendView.trendViewObj.createTagSeries(index)
                        Logger.consoleLog(def.logCritical,"==================Trend color selected ========================= " + trendColor + " " +  index)
                        screen_trendView_FullScreen.trendViewObj.createTrend(index,trendColor)
                    }
                    else
                    {
                        screen_trendView.trendViewObj.removeTagSeries(index,trendColor)
                        screen_trendView_FullScreen.trendViewObj.removeTagSeries(index)
                        trendColor = def.trendViewIndicatorDefaultColor
                    }
                    screen_trendView.dataModel.selectDataElement(index,isSelected)

                }
            }

            Component.onCompleted: {
                if(screen_trendView.dataModel !== 0)
                {
                    isSelected = screen_trendView.dataModel.isSelectedDataElement(index)
                    if(isSelected)
                    {
                        trendColor = screen_trendView.trendViewObj.getTrendColor(index)
                        if(trendColor === 0)
                        {
                            trendColor = def.trendViewIndicatorDefaultColor
                        }
                    }
                }
            }
        }

        Column
        {
            id: connectionColumn
            spacing: def.trendViewListSpaceColumn
            anchors.left: checkbox.right
            anchors.top: checkbox.top
            anchors.leftMargin: def.trendViewListTextOffset

            DefaultText{
                id: idName
                text: Id
                font.pixelSize:  def.trendViewListTextHeight
                elide:Text.ElideRight
                width:tagItem.width/2
                maximumLineCount: 20
                color:def.trendViewItemColor

            }

        }

        Rectangle {
           id: icon
           height:def.trendViewListIndicatorHeight
           width: height
           color: trendColor
           border.color: trendColor
           border.width: 1
           visible:true

           anchors {
               right:parent.right
               rightMargin:def.borderDistanceRight
               verticalCenter: parent.verticalCenter
           }
        }

        ListSeperator{
            anchors.bottom: parent.bottom
        }

        onClearSelectedTrendChanged: {
            checkbox.isSelected = false
            trendColor = def.trendViewIndicatorDefaultColor
        }
   }

}


