import QtQuick 2.0

Rectangle {

    property alias button_imagesource: buttonImage.source
    property alias btnpressed_imagesource: buttonImagePressed.source
    property alias button_Text: buttonLabel.text
    property alias isTextbutton: buttonLabel.visible
    property alias button_Text_Color: buttonLabel.color

    signal buttonClicked()

    width: def.standardButtonWidth
    height: def.standardButtonHeight

    color: isTextbutton ? def.colStandardButtonBackground : def.colButtonlineBackground

    MouseArea{
        anchors.fill: parent
        onClicked: {
            Qt.inputMethod.commit()
            buttonClicked()
        }

        onPressed:{
            color = def.pressedStateButtonColor
            if (!isTextbutton)
                buttonImagePressed.visible = true;
        }

        onReleased: {
            color = isTextbutton ? def.colStandardButtonBackground : def.colButtonlineBackground
            if (!isTextbutton)
                buttonImagePressed.visible = false;

        }
    }

    Image {
        id: buttonImage
        width: parent.width
        height: def.buttonlineButtonHeight
        anchors.centerIn: parent
        visible: !buttonLabel.visible

        fillMode: Image.PreserveAspectFit
       // source: "pictures/add.png"
    }

    Image{
        id: buttonImagePressed
        anchors.fill: buttonImage
        visible: false
        fillMode: Image.PreserveAspectFit
    }

    DefaultText {
        id: buttonLabel
        color: "white"
        font.pixelSize: parent.height*0.44
        font.bold: true
        anchors.centerIn: parent
        visible: false
    }


    // 3d effect:
    Rectangle{  //oben
        width: parent.width
        height: def.buttonlineBorder
        color: isTextbutton ? def.colStandardButtonBright : def.colButtonLineBright
        anchors.top: parent.top
        anchors.left: parent.left
        visible: isTextbutton
    }

    Rectangle{     //unten
        width: parent.width
        height: def.buttonlineBorder
        color: isTextbutton ? def.colStandardButtonDark : def.colButtonLineDark
        anchors.bottom: parent.bottom
        anchors.left: parent.left
        visible: isTextbutton

    }

    Rectangle{  //links
        width: def.buttonlineBorder
        height: parent.height - def.buttonlineBorder
        color: isTextbutton ? def.colStandardButtonBright : def.colButtonLineBright
        anchors.top: parent.top
        anchors.left: parent.left
        visible: isTextbutton

    }

    Rectangle{  //rechts
        width: def.buttonlineBorder
        height: parent.height - def.buttonlineBorder
        color: isTextbutton ? def.colStandardButtonDark : def.colButtonLineDark
        anchors.bottom: parent.bottom
        anchors.right: parent.right
        visible: isTextbutton

    }



}
