import QtQuick 2.0


Rectangle {

    property alias buttonSettings_visible: buttonSettings.visible
    property alias buttonInformation_visible: buttonInformation.visible
    property alias buttonInformation_1_visible: buttonInformation_1.visible
    property alias buttonMonitor_visible: buttonMonitor.visible
    property alias buttonWriteToPlc_visible: buttonWriteToPlc.visible

    signal buttonSettingsClicked()
    signal buttonInformationClicked()
    signal buttonMonitorClicked()
    signal buttonWriteToPlcClicked()


    width: parent.width
    height: def.buttonlineHeight
    color: def.colButtonlineBackground


    Button{
        id: buttonSettings
        height: def.buttonlineButtonHeight
        width: height
        visible: false
        anchors.centerIn: parent
        anchors.horizontalCenterOffset: -parent.width/4
        button_imagesource: "pictures/ICO_APP_Settings.svg"
        btnpressed_imagesource: "pictures/ICO_APP_Settings_pressed.svg"
        onButtonClicked: buttonSettingsClicked()

    }

    Button{
        id: buttonInformation
        height: def.buttonlineButtonHeight
        width: height
        visible: false
        anchors.centerIn: parent
        anchors.horizontalCenterOffset: parent.width/4
        button_imagesource: "pictures/ICO_APP_Info.svg"
        btnpressed_imagesource: "pictures/ICO_APP_Info_pressed.svg"
        onButtonClicked: buttonInformationClicked()
    }

    Button{
        id: buttonInformation_1
        height: def.buttonlineButtonHeight
        width: height
        visible: false
        anchors.centerIn: parent
        button_imagesource: "pictures/ICO_APP_Info.svg"
        btnpressed_imagesource: "pictures/ICO_APP_Info_pressed.svg"
        onButtonClicked: buttonInformationClicked()
    }


    Button{
        id: buttonMonitor
        height: def.buttonlineButtonHeight
        width: height
        visible: false
        anchors.centerIn: parent
        button_imagesource: "pictures/ICO_APP_Monitor.svg"
        btnpressed_imagesource: "pictures/ICO_APP_Monitor_pressed.svg"
        onButtonClicked: buttonMonitorClicked()
    }

    Button{
        id: buttonWriteToPlc
        height: def.buttonlineButtonHeight
        width: height
        visible: false
        anchors.centerIn: parent
        button_imagesource: "pictures/ICO_APP_Save.svg"
        btnpressed_imagesource: "pictures/ICO_APP_Save_pressed.svg"
        onButtonClicked: buttonWriteToPlcClicked()
    }

    Seperator{
        withShadow: true
        rotation: 180
        anchors.top: parent.top
        anchors.topMargin: height

    }

}

