import QtQuick 2.0

Rectangle{

    property alias caption: textfield.text
    property alias withArrows: functionArrow.visible
    property alias withRadioButton: radioBtn.visible
    property alias isSelected: radioBtn.isSelected

    signal fieldClicked();


    height: def.standardFieldHeight/2
    width: parent.width
    color: "transparent"

    RadioButton{
        id: radioBtn
        anchors {left: parent.left; leftMargin: def.borderDistanceLeft; verticalCenter: parent.verticalCenter}
        visible: false        
        isSelected: false
    }

    DefaultText{
        id: textfield
        color: def.colFontGeneral

        anchors.left: {radioBtn.visible ? radioBtn.right: parent.left}
        anchors.leftMargin: def.borderDistanceLeft
        anchors.verticalCenter: parent.verticalCenter

        font.pixelSize: def.fontSizeCaption
    }

    Image{
        id: functionArrow
        height: def.menuButtonHeight
        width: def.menuButtonWidth
        visible: false
        source: "pictures/ICO_APP_ContentArrow.svg"
        anchors.right: parent.right
        anchors.rightMargin: def.borderDistanceRight
        anchors.verticalCenter: parent.verticalCenter
    }

    MouseArea{
        anchors.fill: parent
        onClicked: {
            functionArrow.rotation == 0 ? functionArrow.rotation = 90: functionArrow.rotation= 0
            fieldClicked()
        }
    }
}
