import QtQuick 2.2
import TrendDataSourceComponents 1.0
import LoggerComponents 1.0
import "." as S7App_Components

Component {


    Item {
        id: tagItem
        width: parent.width/2
        height:def.dataGridHeightPortarit/4
        property int time:0
        property bool clearSelectedTrend:screen_trendView.clearSelectedTrend
        property color trendColor:def.trendViewIndicatorDefaultColor

        MouseArea {
            id: mouseArea
            enabled:true
            anchors.fill: parent
            onClicked: {
                Logger.consoleLog(def.logInfo,"Tag clicked = " + index)
            }
        }

        Rectangle {
           id: icon
           height:def.dataGridIndicatorHeight
           width: height
           color: def.trendViewIndicatorDefaultColor
           border.color: def.trendViewIndicatorDefaultColor
           border.width: 1
           visible:true

           anchors {left: parent.left; leftMargin: def.dataGridIndicatorOffset;verticalCenter: parent.verticalCenter}

        }

        Column
        {
            id: connectionColumn
            spacing: def.trendViewListSpaceColumn
            anchors.left: icon.right
            anchors.top: icon.top
            anchors.leftMargin: def.dataGridIndicatorOffset

            Text{
                id: idName
                text: Id + "  " + "(" + Value + ")"
                font.pixelSize:  def.dataGridTextHeight
                elide:Text.ElideRight
                width:tagItem.width/2
                maximumLineCount: 20
                font.family: def.fontDefault
                color:def.fullScreenTrendViewItemColor

            }

        }

        onClearSelectedTrendChanged: {
            trendColor = def.trendViewIndicatorDefaultColor
        }

        function onDataUpdate(updatedIndex)
        {
            if(screen_trendView_FullScreen.opacity == 1)
            {
                {
                    if(index >= 0)
                    {
                        iconColorPicker(index)
                    }
                }
            }
        }

        Component.onCompleted: {
            if(screen_trendView_FullScreen.dataModel != 0)
            {
                screen_trendView_FullScreen.dataModel.dataUpdated.connect(onDataUpdate)
            }

        }

        Component.onDestruction: {
            if(screen_trendView_FullScreen.dataModel != 0)
            {
                screen_trendView_FullScreen.dataModel.dataUpdated.disconnect(onDataUpdate)
            }
        }

        function iconColorPicker(index)
        {
            if(screen_trendView_FullScreen.dataModel.getSelectedDataElementCount() > index)
            {
                if(icon.color === def.trendViewIndicatorDefaultColor)
                {
                    icon.color = screen_trendView_FullScreen.trendViewObj.getTrendColor(index)
                    Logger.consoleLog(def.logCritical,"Trend Icon Color " + icon.color + " " + index)
                    if(index >= 0)
                    {
                        if(icon.color == 0)
                        {
                            icon.color = def.trendViewIndicatorDefaultColor
                        }
                    }
                }
            }
        }

   }

}


