import QtQuick 2.0

Rectangle{
    id: dateSpinner

    property alias spinner_Day : spinnerDay
    property alias spinner_Month : spinnerMonth
    property alias spinner_Year : spinnerYear
    property alias spinnerHeight: dateSpinner.height

    signal cancelButtonClicked()
    signal selectButtonClicked()

    width:parent.width; height:headline.height * 3.17 //spinnerHeight
    y : parent.height
    opacity: 0
    color: "#D0DADF"
    RollerControl {
        id: spinnerDay
        width: parent.width / 6; height: parent.height / 1.3
        anchors{ top: shadow.bottom;}
        x : (mainObject.width / 2) - ((spinnerDay.width + spinnerMonth.width + spinnerYear.width) / 2)

        model: ListModel{
            ListElement{val:"01"} ListElement{val:"02"} ListElement{val:"03"}
            ListElement{val:"04"} ListElement{val:"05"} ListElement{val:"06"}
            ListElement{val:"07"} ListElement{val:"08"} ListElement{val:"09"}
            ListElement{val:"10"} ListElement{val:"11"} ListElement{val:"12"}
            ListElement{val:"13"} ListElement{val:"14"} ListElement{val:"15"}
            ListElement{val:"16"} ListElement{val:"17"} ListElement{val:"18"}
            ListElement{val:"19"} ListElement{val:"20"} ListElement{val:"21"}
            ListElement{val:"22"} ListElement{val:"23"} ListElement{val:"24"}
            ListElement{val:"25"} ListElement{val:"26"} ListElement{val:"27"}
            ListElement{val:"28"} ListElement{val:"29"} ListElement{val:"30"}
            ListElement{val:"31"}
        }        
        delegate: Component{
            DefaultText {
                id:spinnerDayText
                font.pixelSize: (index == spinnerDay.currentIndex) ? def.headlineHeight*0.33 : def.headlineFontSize;
                font.bold: (index == spinnerDay.currentIndex) ? true:false
                color: (index == spinnerDay.currentIndex) ? def.colSelectedOn : "black"
                text: val;
                scale: 0.8
            }
        }
    }

    Rectangle{
        width:2
        height:spinnerDay.height - def.borderDistanceTop - def.borderDistanceBottom
        color: def.colListSeperator
        anchors.left: spinnerDay.right
        anchors.top : spinnerDay.top
        anchors.topMargin: def.borderDistanceTop
    }

    RollerControl {
        id: spinnerMonth
        width: parent.width / 3; height: parent.height / 1.3
        anchors{ top: shadow.bottom;}
        x: spinnerDay.x + spinnerDay.width + 2        
        model: ListModel{
            ListElement{val:"January"} ListElement{val:"February"} ListElement{val:"March"}
            ListElement{val:"April"} ListElement{val:"May"} ListElement{val:"June"}
            ListElement{val:"July"} ListElement{val:"August"}
            ListElement{val:"September"} ListElement{val:"October"}
            ListElement{val:"November"} ListElement{val:"December"}
        }       
        delegate:
            Component{
            DefaultText {
                id:spinnerMonthText
                font.pixelSize: (index == spinnerMonth.currentIndex) ? def.headlineHeight*0.33 : def.headlineFontSize;
                font.bold: (index == spinnerMonth.currentIndex) ? true:false
                color: (index == spinnerMonth.currentIndex) ? def.colSelectedOn : "black"
                text: val;
                scale: 0.8
            }
        }
    }

    Rectangle{
        width:2
        height:spinnerMonth.height - def.borderDistanceTop - def.borderDistanceBottom
        color: def.colListSeperator
        anchors.left: spinnerMonth.right
        anchors.top : spinnerMonth.top
        anchors.topMargin: def.borderDistanceTop
    }

    RollerControl {
        id: spinnerYear
        width: parent.width / 6; height: parent.height / 1.3
        x: spinnerMonth.x + spinnerMonth.width + 2
        anchors{ top: shadow.bottom;}
        model: dtyearModel      
        delegate: Component{
            DefaultText {
                id:spinnerYearText
                font.pixelSize: (index == spinnerYear.currentIndex) ? def.headlineHeight*0.33 : def.headlineFontSize;
                font.bold: (index == spinnerYear.currentIndex) ? true:false
                color: (index == spinnerYear.currentIndex) ? def.colSelectedOn : "black"
                text: year
                scale: 0.8
            }
        }
    }

    Button{
        isTextbutton: true
        width: parent.width / 2.5
        height: headline.height / 2
        button_Text: "Cancel"
        anchors{ left: dateSpinner.left; leftMargin: def.borderDistanceLeft ;top: spinnerDay.bottom; topMargin: def.borderDistanceTop}
        onButtonClicked: {
            cancelButtonClicked()
        }
    }
    Button{
        isTextbutton: true
        width: parent.width / 2.5
        height: headline.height / 2
        button_Text: "Select"
        anchors{ right: dateSpinner.right; rightMargin: def.borderDistanceRight ;top: spinnerDay.bottom; topMargin: def.borderDistanceTop}
        onButtonClicked: {
            selectButtonClicked()
        }
    }
    Shadow{id:shadow; rotation: 180 }
}
