import QtQuick 2.0

Rectangle {

    property alias led_imagesource: ledImage.source
    property alias caption: detailCaption.text
    property alias machineName: machineName.text
    property alias mlfb: mlfb.text
    property alias serial: serialNo.text
    property alias fw: fwText.text
    property alias hw: hwText.text

    signal supportButtonClicked()


    width: parent.width
    height: def.standardFieldHeight

    color: def.colDetailsBackground

    Image{
        id: ledImage
        width: def.listviewLedHeight
        height: width
        source: "pictures/ICO_APP_IndicatorGreen.svg"

        anchors.top: parent.top
        anchors.topMargin: def.borderDistanceTop
        anchors.left: parent.left
        anchors.leftMargin: def.borderDistanceLeft
    }

    DefaultText{
        id: detailCaption
        text: "Transfer Line 1"
        font.pixelSize: def.fontSizeDetailCaption
        font.bold: true

        anchors.left: ledImage.right
        anchors.leftMargin: def.distanceDetailedInfo
        anchors.verticalCenter: ledImage.verticalCenter
    }

    Button{
        id: supportButton

        anchors.right:  parent.right
        anchors.rightMargin: def.borderDistanceRight
        anchors.top: ledImage.top

        button_Text: stringStore.support
        isTextbutton: true

        onButtonClicked: { supportButtonClicked() }

    }
    DefaultText{
        id: machineName
        text: ""
        font.pixelSize: def.fontSizeDetails

        anchors.left: parent.left
        anchors.leftMargin: def.borderDistanceLeft
        anchors.top: ledImage.bottom
        anchors.topMargin: def.borderDistanceTop
    }

    DefaultText{
        id: mlfb
        text: ""
        font.pixelSize: def.fontSizeDetails

        anchors.left: parent.left
        anchors.leftMargin: def.borderDistanceLeft
        anchors.top: machineName.bottom
        anchors.topMargin: def.borderDistanceTopSmall
    }

    DefaultText{
        id: serialNo
        text: ""
        font.pixelSize: def.fontSizeDetails

        anchors.left: parent.left
        anchors.leftMargin: def.borderDistanceLeft
        anchors.top: mlfb.bottom
        anchors.topMargin: def.borderDistanceTopSmall
    }

    DefaultText{
        id: fwText
        text: ""
        font.pixelSize: def.fontSizeDetails
        font.bold: true

        anchors.right: parent.right
        anchors.rightMargin: def.borderDistanceRight
        anchors.top: mlfb.top
    }

    DefaultText{
        id: hwText
        text: ""
        font.pixelSize: def.fontSizeDetails
        font.bold: true

        anchors.right: parent.right
        anchors.rightMargin: def.borderDistanceRight
        anchors.top: serialNo.top
    }

}
