import QtQuick 2.0

Component {

    Item {
        id: listItem
        width: mainObject.width
        height: def.listviewEntryHeight
        signal supportButtonClicked()

        Image{
            id: ledImage
            width: def.listviewLedHeight
            height: width
            source: (Status === "ok")?"pictures/ICO_APP_IndicatorGreen.svg"
                                     :"pictures/ICO_APP_IndicatorYellow.svg"
            anchors.top: parent.top
            anchors.topMargin: def.borderDistanceTop
            anchors.left: parent.left
            anchors.leftMargin: def.borderDistanceLeft

        }

        DefaultText{
            id: detailCaption
            text: Caption
            font.pixelSize: def.fontSizeStationName
            font.bold: true
            anchors.left: ledImage.right
            anchors.leftMargin: def.distanceDetailedInfo
            anchors.verticalCenter: ledImage.verticalCenter
        }

        Button{
            id: supportButton
            visible: false

            anchors.right:  parent.right
            anchors.rightMargin: def.borderDistanceRight
            anchors.top: ledImage.top

            button_Text: stringStore.support
            isTextbutton: true

            onButtonClicked: { supportButtonClicked() }

        }
        DefaultText{
            id: machineName
            text: MachineName
            font.pixelSize: def.fontSizeDetails

            anchors.left: parent.left
            anchors.leftMargin: def.borderDistanceLeft
            anchors.top: ledImage.bottom
            anchors.topMargin: def.borderDistanceTop
        }

        DefaultText{
            id: mlfb
            text: MLFB
            font.pixelSize: def.fontSizeDetails

            anchors.left: parent.left
            anchors.leftMargin: def.borderDistanceLeft
            anchors.top: machineName.bottom
            anchors.topMargin: def.borderDistanceTopSmall
        }

        DefaultText{
            id: serialNo
            text:"Serial #"+ SerialNumber
            font.pixelSize: def.fontSizeDetails

            anchors.left: parent.left
            anchors.leftMargin: def.borderDistanceLeft
            anchors.top: mlfb.bottom
            anchors.topMargin: def.borderDistanceTopSmall
        }

        DefaultText{
            id: fwText
            text: "FW "+FirmWare
            font.pixelSize: def.fontSizeDetails
            font.bold: true

            anchors.right: parent.right
            anchors.rightMargin: def.borderDistanceRight
            anchors.top: mlfb.top
        }

        DefaultText{
            id: hwText
            text:"HW " +HardWare
            font.pixelSize: def.fontSizeDetails
            font.bold: true

            anchors.right: parent.right
            anchors.rightMargin: def.borderDistanceRight
            anchors.top: serialNo.top
        }

        ListSeperator{
            anchors.top: parent.top
            visible: index==0 ? false : true // no seperator above first entry
        }

    }
}
