import QtQuick 2.0
import LoggerComponents 1.0

Component {

    Rectangle{
        id: listItem

        width: mainObject.width
        height: def.standardFieldHeight
        color: "transparent"
        property int totalLogs:0

        function isSelectable()
        {
            //only for logo 0ba7 we need to show checkmark
            if(def.isOBA7())
            {
                return true;
            }
            return false;
        }

        DefaultText{
            id: errorNumber
            anchors{left:parent.left; leftMargin: def.borderDistanceLeft; top: parent.top; topMargin: def.borderDistanceTop}
            visible:def.isS7App ? true : false
            text: errorID + "/" + totalLogs
            font.bold: true
        }

        DefaultText{
            id: errorTime
            anchors{left: def.isS7App ? errorNumber.right : (check.visible == true ? check.right : parent.left ); leftMargin: def.borderDistanceLeft; top: parent.top; topMargin: def.borderDistanceTop}

            text: time
            font.bold: true
        }

        DefaultText{
            id: errordate

            anchors{right: parent.right; rightMargin: def.borderDistanceRight; top: parent.top; topMargin: def.borderDistanceTop}

            text: date
            font.bold: true
        }

        DefaultText{
            id:errorMessage
            anchors{ left: def.isS7App ? errorNumber.left : errorTime.left; right: errordate.right; top: errorTime.bottom; topMargin: def.borderDistanceTop}
            wrapMode: Text.Wrap
            maximumLineCount: 3

            text: messageText
        }


        ListSeperator{
            anchors.bottom: parent.bottom
        }


        MouseArea{
           id: mouseArea
           enabled:true
           anchors.fill: parent

           onPressed:{
               listItem.color = def.pressedStateButtonColor
           }

           onContainsMouseChanged: {
              if (!containsMouse)
                   listItem.color = "transparent"
           }

           onReleased: {
               listItem.color = "transparent"
           }

            onClicked: {
                Logger.consoleLog(def.logInfo,"...details" + index + " " + timeStamp + " " +eventID)
                if(def.isS7App)
                {
                    screen_diag.timerInDiag_obj.running = false
                    busyIndicator.visible = true
                    diagnosticBufferModel.setDetailInfoIndex(index)
                    diagnosticbuffController.readDiagDetailSuccessfull.connect(onReadDiagDetailSuccessfull)
                    diagnosticbuffController.getDiagnosticsDetailInfo(timeStamp,eventID)
                }
            }

        }

        Checkmark{
            id: check
            visible: isSelectable()

            anchors{verticalCenter: parent.verticalCenter; left: parent.left; leftMargin: def.borderDistanceLeft}
            onCheckmarkClicked: {
                isSelected = !isSelected
                diagnosticBufferModel.selectItem(index, isSelected)
            }
        }

        function onReadDiagDetailSuccessfull()
        {
            stackview.pushPage(screen_diagdetails)
            diagnosticbuffController.readDiagDetailSuccessfull.disconnect(onReadDiagDetailSuccessfull)

        }

        Component.onCompleted:
        {
            totalLogs = diagnosticBufferModel.getDiagnosticBufferSize()
        }

    }
}
