import QtQuick 2.0


Rectangle {

    property alias label: textfield.text
    property alias input: inputField.text
    property alias hasfocus: inputField.focus
    property alias echoMode: inputField.echoMode
    property alias readOnly: inputField.readOnly

    width: mainObject.width
    height: def.inputFieldHeight

    color: "transparent"
    signal inputFieldEnabled()

    DefaultText {
        id: textfield
        text: ""
        font.pixelSize: def.inputFieldTextSize
        font.bold: true
        color: def.colInputFieldText
        anchors.top: parent.top
        anchors.topMargin: def.inputFieldDistanceToTop
        anchors.left: parent.left
        anchors.leftMargin: def.borderDistanceLeft
    }

    Rectangle{
        id: backgroundEditField
        height: def.inputFieldEditFieldHeight
        width: parent.width-def.borderDistanceLeft-def.borderDistanceRight

        anchors.left: parent.left
        anchors.leftMargin: def.borderDistanceLeft
        anchors.top: textfield.bottom
        anchors.topMargin: def.inputFieldDistanceToTop
        color: "white"
        border.width: 1
        border.color: def.colInputFieldBorder

        TextInput {
            id: inputField
            width: parent.width - 2*def.borderDistanceLeft
            height: parent.height
            color: def.colInputFieldText
            anchors{left: parent.left; leftMargin: def.borderDistanceLeft; verticalCenter: parent.verticalCenter}
            horizontalAlignment: Text.AlignLeft
            verticalAlignment: Text.AlignVCenter
            font.pixelSize: def.inputFieldTextSize
            font.family: def.fontDefault
            clip:true

            onFocusChanged: {
                if(focus === false)
                {
                    Qt.inputMethod.commit()
                }
            }

            onTextChanged: {
                inputFieldEnabled()
            }

        }
    }

    function startKeyboardFocus()
    {
        inputField.forceActiveFocus()
    }
}
