import QtQuick 2.0

Rectangle {

    id:textInputContainer
    property alias label: textfield.text
    property alias input: inputField.text
    property alias hasfocus: inputField.focus
    property alias echoMode: inputField.echoMode
    property alias pixelsize: textfield.font.pixelSize

    signal editFinished()
    height: 20
    width: parent.width


    Row {
        height: parent.height
        width: parent.width * 0.9
        anchors.centerIn: parent
        spacing: 10

        DefaultText {
            id: textfield
            text: ""
            width: parent.width / 2 - parent.spacing/2
            font.bold: true
            font.pixelSize: parent.height * 0.7
            color: "black"
            verticalAlignment: Text.AlignRight
        }

        Rectangle
        {
            id:borderRect
            width: parent.width / 2 - parent.spacing/2
            height: parent.height *0.9
            color: "transparent"
            border.color: "lightgrey"
            border.width: 1
            TextInput {
                id: inputField
                color: "black"
                x:borderRect.border.width
                y:borderRect.border.width
                width: textInputContainer.width - borderRect.border.width
                height: textInputContainer.height - borderRect.border.width
                verticalAlignment: Text.Center
                horizontalAlignment: Text.AlignLeft
                font.pixelSize: borderRect.height *0.9
                font.family: def.fontDefault
                clip:true

                onCursorPositionChanged: {
                    if(inputField.contentWidth >= (borderRect.width - 10))
                    {
                        maximumLength = cursorPosition
                    }
                }

            Component.onCompleted: {
                //putting dummy value for maximum length because it is getting change at onCursorPositionChanged initially
                inputField.maximumLength = 20

            }

        }

    }

}

}
