import QtQuick 2.0

Rectangle {
    property alias model: view.model
    property alias delegate: view.delegate
    property alias currentIndex: view.currentIndex
    property alias pathView: view
    property real itemHeight: def.headlineHeight/3
    property int highLightWidth :view.width;

    clip: true
    color: Qt.rgba(0.6, 0.7, 0.8, 0)

    PathView {
        id: view
        anchors.fill: parent
        anchors.topMargin: def.borderDistanceTop
        pathItemCount: height/itemHeight
        preferredHighlightBegin: 0.5
        preferredHighlightEnd: 0.5
        focus: true
        highlight:Rectangle{
            width: highLightWidth; height: def.headlineHeight * 0.6; color : Qt.rgba(255, 255, 255, 1)
         }
        dragMargin: view.width/2

        path: Path {
            startX: view.width/2; startY: (-itemHeight / 2) + 5
            PathLine { x: view.width/2; y: view.pathItemCount*itemHeight + itemHeight }
        }
        onWidthChanged:
        {
            highLightWidth = view.width;
        }
    }
}

