import QtQuick 2.0
import LoggerComponents 1.0

import "." as S7App_Components

Item {
    property alias text: html.text
    property alias textFormat:html.textFormat
    property bool isLicenseViewShown

    Headline{
        id: headline
        width: parent.width
        z: 50
        headline_text: screen_appInfo.title

        backbutton_visible: true
        onButtonBackClicked: {
            backButtonOperation()

        }
    }


    Rectangle{
	    x:0; y: headline.height
	    width: parent.width
        height: parent.height - headline.height
	    color: "white"
	
        Flickable{
            id:flickCtl
            width: parent.width
            height: parent.height

            contentHeight: html.height + def.borderDistanceBottom

            flickableDirection: Flickable.VerticalFlick
            boundsBehavior: Flickable.DragOverBounds

            Text{
                id: html
                height: Text.height
                wrapMode: Text.WordWrap
                textFormat: Text.RichText
                onLinkActivated: Qt.openUrlExternally(link)

                anchors.right: parent.right
                anchors.rightMargin: def.borderDistanceRight
                anchors.left: parent.left
                anchors.leftMargin: def.borderDistanceLeft
                anchors.top: parent.top
                anchors.topMargin: def.borderDistanceTop
            }
        }
    }

    function backButtonOperation()
    {
        stackview.popPage();
    }

    Keys.onPressed: {
        event.accepted = true;
        if (event.key === Qt.Key_Back)
        {
            backButtonOperation()
        }
    }

    onOpacityChanged: {
        if(opacity == 0)
        {
           flickCtl.contentY = 0
        }
    }
}
