import QtQuick 2.0
import LoggerComponents 1.0

Item {
    property string itemTitle: ""
    //property alias title: col.itemTitle
    property string langSelected : stringStore.info_lang




    Headline {
        id: headline
        width: parent.width
        z: 50

        headline_text: stringStore.info_License
        backbutton_visible: true
        ipvisible: false

        onButtonBackClicked: {
            Logger.consoleLog(def.logInfo,"Button Back from Headline Information clicked!")
            backButtonOperation()
        }
    }

    Flickable{
        id:flickCtl
        width: parent.width
        height: parent.height - headline.height
        anchors.top: parent.top; anchors.topMargin: headline.height

        contentHeight: col.height

        flickableDirection: Flickable.VerticalFlick
        boundsBehavior: Flickable.DragOverBounds


        Column{
            id: col
            width: parent.width
            property string itemTitle: ""



            CaptionListEntry{
                caption: stringStore.info_LicenseConditionsSiemens
                onFieldClicked: {
                    screen_appInfoContent.textFormat = Text.AutoText
                    screen_appInfoContent.text = infoModel.getInfoLicenseFile(langSelected, 0)
                    stackview.pushPage(screen_appInfoContent);
                }
            }

            ListSeperator{}


            CaptionListEntry{
                caption: "Android NDK"
                onFieldClicked: {
                    screen_appInfoContent.textFormat = Text.AutoText
                    screen_appInfoContent.text = infoModel.getInfoLicenseFile(langSelected, 1)
                    stackview.pushPage(screen_appInfoContent);
                }
            }

            ListSeperator{}


            CaptionListEntry{
                caption: "Copyrights Android NDK"
                onFieldClicked: {
                    screen_appInfoContent.textFormat = Text.AutoText
                    screen_appInfoContent.text = infoModel.getInfoLicenseFile(langSelected, 2)
                    stackview.pushPage(screen_appInfoContent);

                }
            }

            ListSeperator{}


            CaptionListEntry{
                caption: "Apple SDK (iOS)"
                onFieldClicked: {
                    screen_appInfoContent.textFormat = Text.AutoText
                    screen_appInfoContent.text = infoModel.getInfoLicenseFile(langSelected, 3)
                    stackview.pushPage(screen_appInfoContent);
                }
            }

            ListSeperator{}


            CaptionListEntry{
                caption: "Copyrights Apple SDK (iOS)"
                onFieldClicked: {
                   screen_appInfoContent.textFormat = Text.AutoText
                    screen_appInfoContent.text = infoModel.getInfoLicenseFile(langSelected, 4)
                    stackview.pushPage(screen_appInfoContent);
                }
            }

            ListSeperator{}


            CaptionListEntry{
                caption: "Open Source Software: crypto++"
                onFieldClicked: {
                    screen_appInfoContent.textFormat = Text.AutoText
                    screen_appInfoContent.text = infoModel.getInfoLicenseFile(langSelected, 5)
                    stackview.pushPage(screen_appInfoContent);
                }
            }

            ListSeperator{}


            CaptionListEntry{
                caption: "Google Android SDK I"
                onFieldClicked: {
                    screen_appInfoContent.textFormat = Text.AutoText
                    screen_appInfoContent.text = infoModel.getInfoLicenseFile(langSelected, 6)
                    stackview.pushPage(screen_appInfoContent);
                }
            }

            ListSeperator{}


            CaptionListEntry{
                caption: "Google Android SDK II"
                onFieldClicked: {
                    screen_appInfoContent.textFormat = Text.AutoText
                    screen_appInfoContent.text = infoModel.getInfoLicenseFile(langSelected, 7)
                    stackview.pushPage(screen_appInfoContent);
                }
            }

            ListSeperator{}


            CaptionListEntry{
                caption: "Google Android SDK III"
                onFieldClicked: {
                    screen_appInfoContent.textFormat = Text.AutoText
                    screen_appInfoContent.text = infoModel.getInfoLicenseFile(langSelected, 8)
                    stackview.pushPage(screen_appInfoContent);
                }
            }

            ListSeperator{}


            CaptionListEntry{
                caption: "Google Android SDK IV"
                onFieldClicked: {
                    screen_appInfoContent.textFormat = Text.AutoText
                    screen_appInfoContent.text = infoModel.getInfoLicenseFile(langSelected, 9)
                    stackview.pushPage(screen_appInfoContent);
                }
            }

            ListSeperator{}


            CaptionListEntry{
                caption: "Google Android SDK V"
                onFieldClicked: {
                    screen_appInfoContent.textFormat = Text.AutoText
                    screen_appInfoContent.text = infoModel.getInfoLicenseFile(langSelected, 10)
                    stackview.pushPage(screen_appInfoContent);
                }
            }

            ListSeperator{}


            CaptionListEntry{
                caption: "Google Android SDK VI"
                onFieldClicked: {
                    screen_appInfoContent.textFormat = Text.AutoText
                    screen_appInfoContent.text = infoModel.getInfoLicenseFile(langSelected, 11)
                    stackview.pushPage(screen_appInfoContent);
                }
            }

            ListSeperator{}

            CaptionListEntry{
                caption: "Google Android SDK VII"
                onFieldClicked: {
                    screen_appInfoContent.textFormat = Text.AutoText
                    screen_appInfoContent.text = infoModel.getInfoLicenseFile(langSelected, 12)
                    stackview.pushPage(screen_appInfoContent);
                }
            }

            ListSeperator{}

            CaptionListEntry{
                caption: "Google Android SDK VIII"
                onFieldClicked: {
                    screen_appInfoContent.textFormat = Text.AutoText
                    screen_appInfoContent.text = infoModel.getInfoLicenseFile(langSelected, 13)
                    stackview.pushPage(screen_appInfoContent);
                }
            }

            ListSeperator{}


            CaptionListEntry{
                caption: "Copyrights Google Android SDK"
                onFieldClicked: {
                    screen_appInfoContent.textFormat = Text.AutoText
                    screen_appInfoContent.text = infoModel.getInfoLicenseFile(langSelected, 14)
                    stackview.pushPage(screen_appInfoContent);
                }
            }

            ListSeperator{}


            CaptionListEntry{
                caption: "OSS: OpenSSL - 1.0.1i"
                onFieldClicked: {
                    screen_appInfoContent.textFormat = Text.AutoText
                    screen_appInfoContent.text = infoModel.getInfoLicenseFile(langSelected, 15)
                    stackview.pushPage(screen_appInfoContent);
                }
            }

            ListSeperator{}


            CaptionListEntry{
                caption: "Copyrights OSS: OpenSSL"
                onFieldClicked: {
                    screen_appInfoContent.textFormat = Text.AutoText
                    screen_appInfoContent.text = infoModel.getInfoLicenseFile(langSelected, 16)
                    stackview.pushPage(screen_appInfoContent);
                }
            }

            ListSeperator{}


            CaptionListEntry{
                caption: "Qt for Mobile Multi OS I"
                onFieldClicked: {
                    screen_appInfoContent.textFormat = Text.AutoText
                    screen_appInfoContent.text = infoModel.getInfoLicenseFile(langSelected, 17)
                    stackview.pushPage(screen_appInfoContent);
                }
            }

            ListSeperator{}


            CaptionListEntry{
                caption: "Qt for Mobile Multi OS II"
                onFieldClicked: {
                    screen_appInfoContent.textFormat = Text.AutoText
                    screen_appInfoContent.text = infoModel.getInfoLicenseFile(langSelected, 18)
                    stackview.pushPage(screen_appInfoContent);
                }
            }

            ListSeperator{}


            CaptionListEntry{
                caption: "Qt for Mobile Multi OS III"
                onFieldClicked: {
                    screen_appInfoContent.textFormat = Text.AutoText
                    screen_appInfoContent.text = infoModel.getInfoLicenseFile(langSelected, 19)
                    stackview.pushPage(screen_appInfoContent);
                }
            }

            ListSeperator{}


            CaptionListEntry{
                caption: "Qt for Mobile Multi OS IV"
                onFieldClicked: {
                    screen_appInfoContent.textFormat = Text.AutoText
                    screen_appInfoContent.text = infoModel.getInfoLicenseFile(langSelected, 20)
                    stackview.pushPage(screen_appInfoContent);
                }
            }

            ListSeperator{}


            CaptionListEntry{
                caption: "Qt for Mobile Multi OS V"
                onFieldClicked: {
                    screen_appInfoContent.textFormat = Text.AutoText
                    screen_appInfoContent.text = infoModel.getInfoLicenseFile(langSelected, 21)
                    stackview.pushPage(screen_appInfoContent);
                }
            }

            ListSeperator{}


            CaptionListEntry{
                caption: "Qt for Mobile Multi OS VI"
                onFieldClicked: {
                    screen_appInfoContent.textFormat = Text.AutoText
                    screen_appInfoContent.text = infoModel.getInfoLicenseFile(langSelected, 22)
                    stackview.pushPage(screen_appInfoContent);
                }
            }

            ListSeperator{}




            CaptionListEntry{
                caption: "Copyrights Qt for Mobile Multi OS I"
                onFieldClicked: {
                    screen_appInfoContent.textFormat = Text.AutoText
                    screen_appInfoContent.text = infoModel.getInfoLicenseFile(langSelected, 23)
                    stackview.pushPage(screen_appInfoContent);
                }
            }

            ListSeperator{}

            CaptionListEntry{
                caption: "Copyrights Qt for Mobile Multi OS II"
                onFieldClicked: {
                    screen_appInfoContent.textFormat = Text.AutoText
                    screen_appInfoContent.text = infoModel.getInfoLicenseFile(langSelected, 24)
                    stackview.pushPage(screen_appInfoContent);
                }
            }

            ListSeperator{}

            CaptionListEntry{
                caption: "Copyrights Qt for Mobile Multi OS III"
                onFieldClicked: {
                    screen_appInfoContent.textFormat = Text.AutoText
                    screen_appInfoContent.text = infoModel.getInfoLicenseFile(langSelected, 25)
                    stackview.pushPage(screen_appInfoContent);
                }
            }

            ListSeperator{}

            CaptionListEntry{
                caption: "Copyrights Qt for Mobile Multi OS IV"
                onFieldClicked: {
                    screen_appInfoContent.textFormat = Text.AutoText
                    screen_appInfoContent.text = infoModel.getInfoLicenseFile(langSelected, 26)
                    stackview.pushPage(screen_appInfoContent);
                }
            }

            ListSeperator{}
        }

    }

    function backButtonOperation()
    {
        stackview.popPage();
    }

    Keys.onPressed: {
        event.accepted = true;
        if (event.key === Qt.Key_Back)
        {
            backButtonOperation()
        }
    }

    onVisibleChanged: {
        if (screen_appInfoContent){
            screen_appInfoContent.isLicenseViewShown = true;
        }
    }

    onOpacityChanged: {
        if(opacity == 0)
        {
            flickCtl.contentY = 0
        }
    }
}
