import QtQuick 2.0
import LoggerComponents 1.0
import DataStoreComponents 1.0


Rectangle{
    id: diagAuthentication
    anchors.fill: parent
    z:100
    color: "transparent"

    property alias authentication:diagAuthentication
    signal startRefreshing()

     ModalDialog {
        id: wrongPwdMessage
        title: stringStore.wrongPasswordMsgTitle
        text: stringStore.wrongPasswordMsg
        button_OK: true
        onOkButtonClicked:
        {
            whenAppActive.open()
        }
    }

     ModalDialog {
        id: whenAppActive
        title: stringStore.loginBtn
        dialogWidth: parent.width-2*def.borderDistanceLeft
        button_OK: true
        inputfield_visible :true
         onOkButtonClicked: {
                            Qt.inputMethod.hide()
                            if(!DataStore.authenticateUser(inputfield_text))
                            {
                                inputfield_text = ""
                                wrongPwdMessage.open()
                                return;
                            }
                            startRefreshing()
                                inputfield_text = ""
                                diagAuthentication.visible = false
                        }
         }

  function onAppstatusChanged()
    {
        whenAppActive.inputfield_text = ""

      if(appController.appStaus === def.appActive)
      {
          if(stackview.currentItem !== appLogin && stackview.currentItem !== screen_splash
                  && DataStore.isPasswordSet() && !DataStore.isPasswordEmpty()
                  && screen_changepwd.screenMode != 0)
          {
              diagAuthentication.visible = true
              whenAppActive.open()
          }
          if(DataStore.isPasswordSet() && DataStore.isPasswordEmpty())
              startRefreshing()
      }
  }

}
