import QtQuick 2.0
import DataStoreComponents 1.0
import LoggerComponents 1.0

import "." as S7App_Components
Item {
    Rectangle {
        anchors.fill:parent
        color: "transparent"

        ModalDialog {
            id: wrongPwdMessage
            title: stringStore.wrongPasswordMsgTitle
            text: stringStore.wrongPasswordMsg
            button_OK: true
            onOkButtonClicked:
            {
               pwdText.startKeyboardFocus()
            }
        }

        Headline {
            id: headline
            width: parent.width

            headline_text: stringStore.loginTitle
            backbutton_visible: false
        }

        InputField{
            id: pwdText
            label: stringStore.password
            input: ""
            echoMode: TextInput.Password
            anchors.top : headline.bottom
            anchors.topMargin: def.borderDistanceTop
        }

        Button{
            isTextbutton: true
            width: def.standardButtonWidthExtended
            button_Text: stringStore.loginBtn

            anchors{top:pwdText.bottom; topMargin:def.borderDistanceTop; right:parent.right; rightMargin: def.borderDistanceRight}
            property variant value;

            onButtonClicked: {

                if(DataStore.authenticateUser(pwdText.input))
                {
                    screen_overview.initializeConnList();
                    stackview.replace(screen_overview);
                }

                else
                {
                    pwdText.input = ""
                    wrongPwdMessage.open()
                }
            }

        }

        Button{
            isTextbutton: true
            width: def.standardButtonWidthExtended
            button_Text: stringStore.resetBtn
            anchors{top:pwdText.bottom; topMargin:def.borderDistanceTop; left:parent.left; leftMargin: def.borderDistanceLeft}


            onButtonClicked:  {
                pwdText.input = ""
                screen_changepwd.screenMode = 0
                stackview.pushPage(screen_changepwd)
            }
        }

        Buttonline {
            id: bottomline
            width: parent.width
            anchors { bottom: parent.bottom; bottomMargin: def.BottomRight}
            buttonInformation_1_visible:true

            onButtonInformationClicked: {
                Logger.consoleLog(def.logInfo,"ScreenLogin: Button Information from Buttonline clicked!")
                stackview.pushPage(screen_appInfo)
            }
        }

        Component.onCompleted: {
            appController.appStatusChanged.connect(onAppstatusChanged)
        }

        function onAppstatusChanged()
        {
            if(appController.appStaus !== def.appActive)
            {
               
                pwdText.input = ""
            }
        }

    }

}
