import DataStoreComponents 1.0
import QtQuick 2.0
import LoggerComponents 1.0
import RootedDeviceComponent 1.0

Rectangle {

    Image{
        anchors.fill: parent
        source: def.splashScreen
    }

    property variant value;

    ModalDialog {
        id: rootedDeviceError
        title: stringStore.rootedDeviceMsgTitle
        text: stringStore.rootedDeviceAlertMsg
        button_Accept: true
        button_Cancel: true

        onAcceptButtonClicked:{
            continueExecution()
        }
        onCancelButtonClicked: {
            //Close the app
            Qt.quit()
        }
    }

    Timer{
        interval: def.splashscreentime; running: true; repeat:false
        onTriggered: {

            if(RootedDevice.isDeviceRooted())
            {
                Logger.consoleLog(def.logCritical, "***** ROOTED DEVICE *****" )

                rootedDeviceError.open()
            }
            else
            {
                Logger.consoleLog(def.logCritical, "***** UNROOTED DEVICE *****" )
                continueExecution()
            }
        }
    }

    function continueExecution()
    {

        Logger.consoleLog(def.logCritical, "***** CONTINUE LAUNCHING APP *****" )
        def.isSplashScreenVisible = false;

        if(DataStore.isPasswordSet())  // password already configured!
        {
            if(DataStore.isPasswordEmpty())    // empty password configured - no login screen needed
            {
                screen_overview.initializeConnList()
                stackview.replace(screen_overview);
            }
            else
                stackview.replace(appLogin)
        }
        else // first start of application on this device
        {
            screen_changepwd.screenMode = 1
            stackview.replace(screen_changepwd)
        }
    }
}
