import QtQuick 2.0

Rectangle {

    property alias textLeft: leftText.text
    property alias textRight: rightText.text
    property alias colorLeft: left.color
    property alias colorRight: right.color
    property alias state: left.visible

    signal buttonClicked()

    width: def.stateButtonWidth
    height: def.stateButtonHeight
    color: "white"
    border.color: def.colListSeperator
    border.width: 1

    Rectangle{
        id: left
        width: parent.width / 2 - parent.border.width*2
        height: parent.height - parent.border.width*2
        anchors.top: parent.top
        anchors.topMargin: parent.border.width
        anchors.left: parent.left
        anchors.leftMargin: parent.border.width

        color: def.colorRun

        DefaultText {
            id: leftText
            text: stringStore.run
            color: "white"
            font.pixelSize: parent.height*0.5
			font.bold: true
            anchors.centerIn: parent
        }
    }

    Rectangle{
        id: right
        width: parent.width / 2 - parent.border.width*2
        height: parent.height - parent.border.width*2
        anchors.top: parent.top
        anchors.topMargin: parent.border.width
        anchors.right: parent.right
        anchors.rightMargin: parent.border.width

        color: def.colorStop
        visible: !left.visible

        DefaultText {
            id: rightText
            text: stringStore.stop
            color: "white"
            font.pixelSize: parent.height*0.5
			font.bold: true
            anchors.centerIn: parent
        }
    }

    MouseArea{
        anchors.fill: parent
        onClicked: {
            buttonClicked()
        }
    }

}
