import QtQuick 2.0

Rectangle {

    property alias textRun: runText.text
    property alias textStp: stpText.text
    property alias colorRun: run.color
    property alias colorStp: stp.color
    property alias state: run.visible


    width: def.stateButtonWidth / 2
    height: def.stateButtonHeight
    color: "white"
    border.color: def.colListSeperator
    border.width: 1

    Rectangle{
        id: run
        width: parent.width - parent.border.width*2
        height: parent.height - parent.border.width*2
        anchors.centerIn: parent
        color: def.colorRun

        DefaultText {
            id: runText
            text: stringStore.run
            color: "white"
            font.pixelSize: parent.height*0.5
			font.bold: true
            anchors.centerIn: parent
        }
    }

    Rectangle{
        id: stp
        width: parent.width  - parent.border.width*2
        height: parent.height - parent.border.width*2
        anchors.centerIn: parent

        color: def.colorStop
        visible: !run.visible

        DefaultText {
            id: stpText
            text: stringStore.stop
            color: "white"
            font.pixelSize: parent.height*0.5
			font.bold: true
            anchors.centerIn: parent
        }
    }

}
