import QtQuick 2.0

Item {

    readonly property string appNameLogo: qsTr("LOGO!") + langSelector.emptyString
    readonly property string appNameS7: qsTr("SIMATIC S7") + langSelector.emptyString


    // Dialog
    readonly property string ok: qsTr("OK") + langSelector.emptyString
    readonly property string cancel: qsTr("CANCEL") + langSelector.emptyString
    readonly property string yes: qsTr("YES") + langSelector.emptyString
    readonly property string no: qsTr("NO") + langSelector.emptyString

    readonly property string acceptBtn :qsTr("Accept") + langSelector.emptyString
    readonly property string declineBtn :qsTr("Decline") + langSelector.emptyString

    readonly property string run: qsTr("RUN") + langSelector.emptyString
    readonly property string stop: qsTr("STOP") + langSelector.emptyString

    // Alert messages
    readonly property string goBackAlertMessage:qsTr("Do you really want to go back without saving?") + langSelector.emptyString

    //Screen Tag Write:
    // Invalid data format
    readonly property string invalidDataFormatOfNewvalue: qsTr("The data format of the \n new value is incorrect!") + langSelector.emptyString
    readonly property string enterNewValueMsg: qsTr("Please enter new tag value") + langSelector.emptyString
    readonly property string invalidFormatMsgTitle: qsTr("Invalid Format") + langSelector.emptyString
    readonly property string invalidValueMsgTitle: qsTr("Invalid Value") + langSelector.emptyString

    // -- Screen Tag Edit --
    readonly property string addTag: qsTr("Add Tag") + langSelector.emptyString
    readonly property string editTag: qsTr("Edit Tag") + langSelector.emptyString
    readonly property string tagAddress: qsTr("Address") + langSelector.emptyString
    readonly property string tagName: qsTr("Name") + langSelector.emptyString
    readonly property string tagFormat: qsTr("Format") + langSelector.emptyString

    readonly property string tagFieldEmpty: qsTr("Address/Name/Format field can not be empty!") + langSelector.emptyString
    readonly property string tagDataError: qsTr("Tag Error") + langSelector.emptyString
    readonly property string outofRangeValue: qsTr("The new value is out of range") + langSelector.emptyString
    readonly property string invalidMemoryAddress: qsTr("Invalid Tag Address!") + langSelector.emptyString
    readonly property string invalidDatFormatForVDAddress: qsTr("BIT data format is not supported for VB/VW/VD address type") + langSelector.emptyString
    readonly property string invalidDatFormatForVAddress: qsTr("Only BIT data format is supported for VXXX.X address type") + langSelector.emptyString
    readonly property string invalidTagFormatsS7: qsTr("Invalid Tag!\nPossible reasons:\n1.Specified tag address might be absolute\n2.Specified tag is not configured in PLC\n3.Invalid tag format. Valid tag formats are:\n") + langSelector.emptyString
    readonly property string invalidFormatS7 : qsTr("Invalid tag format. Valid formats are: ") + langSelector.emptyString
    readonly property string invalidTagAddressS7: qsTr("Invalid Tag!\nPossible reasons:\n1.Specified tag address might be absolute\n2.Specified tag is not configured in PLC") + langSelector.emptyString

    // ScreenWriteToPLC
    readonly property string writePLCTitle: qsTr("Change value on PLC") + langSelector.emptyString
    readonly property string curValue: qsTr("Current Value") + langSelector.emptyString
    readonly property string newValue: qsTr("New Value") + langSelector.emptyString
    readonly property string writeBtn: qsTr("Write to PLC") + langSelector.emptyString



    //Password
    readonly property string loginTitle: qsTr("Login") + langSelector.emptyString
    readonly property string password: qsTr("Password:") + langSelector.emptyString
    readonly property string loginBtn: qsTr("Login") + langSelector.emptyString
    readonly property string resetBtn: qsTr("Reset") + langSelector.emptyString
    readonly property string password_saved:qsTr("Password Saved! \nPress OK to login directly.") + langSelector.emptyString
    readonly property string password_saved_short:qsTr("Password Saved!") + langSelector.emptyString
    readonly property string reset_password: qsTr("Reset Password") + langSelector.emptyString
    readonly property string set_password: qsTr("Set Password") + langSelector.emptyString
    readonly property string wrongPasswordMsgTitle: qsTr("Error") + langSelector.emptyString
    readonly property string wrongPasswordMsg: qsTr("Wrong Password") + langSelector.emptyString
    readonly property string wrongOldPasswordMsg: qsTr("Old password is not correct") + langSelector.emptyString
    readonly property string wrongNewPasswordsMsg: qsTr("Passwords are not identical") + langSelector.emptyString
    readonly property string setpassword_explanation: qsTr("Please set password to protect your configuration data. If left blank, no password is set.") + langSelector.emptyString
    readonly property string resetpassword_explanation: qsTr("If your reset your Password parts of your user data will be deleted!") + langSelector.emptyString
    readonly property string changePassword: qsTr("Change Password") + langSelector.emptyString

    readonly property string enterOldPW: qsTr("Enter Old Password:") + langSelector.emptyString
    readonly property string enterNewPW: qsTr("Enter New Password:") + langSelector.emptyString
    readonly property string confirmNewPW: qsTr("Confirm New Password:") + langSelector.emptyString
    readonly property string authentication_password: qsTr("Please enter login password:") + langSelector.emptyString
    readonly property string save: qsTr("Save") + langSelector.emptyString


    // Connection Failed
    readonly property string connectionFailedMsgTitle: qsTr("Connection Failed!")+ langSelector.emptyString
    //This message title  has been used when the message text is dynamic (returned by Qt Classes)
    readonly property string connectionFailedMsgTitle_en:qsTr("Connection Failed!")
    readonly property string firmwareupdateMsg:qsTr("Current firmware not supported by app, please update the firmware of your PLC.")+langSelector.emptyString
    readonly property string connectionFailedMsg: qsTr("Connection Failed:\nNetwork Access Error!")+ langSelector.emptyString


    // Connection Edit
    readonly property string createConnection: qsTr("Create Connection") + langSelector.emptyString
    readonly property string editConnection: qsTr("Edit Connection") + langSelector.emptyString
    readonly property string editConnectionMsgTitle: qsTr("Edit Connection") + langSelector.emptyString
    readonly property string editConnectionPLCUpdateTitle:qsTr("PLC Version Change") + langSelector.emptyString
    readonly property string editConnectionPLCUpdateMsg:qsTr("You are about to downgrade PLC from 0BA8 to 0BA7. You will lose your tag list. Are you sure you want to continue?") + langSelector.emptyString
    readonly property string editConnectionDupMsg: qsTr("Duplicate entries are not allowed in Connection List") + langSelector.emptyString

    readonly property string type: qsTr("Type") + langSelector.emptyString
    readonly property string name: qsTr("Name") + langSelector.emptyString
    readonly property string adress: qsTr("IP Address / Hostname") + langSelector.emptyString

    readonly property string conUsername: qsTr("Username") + langSelector.emptyString
    readonly property string conPassword: qsTr("Password") + langSelector.emptyString

    readonly property string invalidIP: qsTr("Invalid IP address") + langSelector.emptyString


    // Controller Messages
    readonly property string controllerErrorMsgTitle: qsTr("Error") + langSelector.emptyString
    readonly property string tagWriteSuccessMsgTitle: qsTr("Change successful") + langSelector.emptyString
    readonly property string tagWriteSuccessMsg: qsTr("Tag updated") + langSelector.emptyString

    // Messages
    readonly property string logoChangeModeMsgTitle: qsTr("LOGO! Change PLC mode?") +  langSelector.emptyString
    readonly property string runToStopMsg: qsTr("Device is in RUN mode. Do you want to change it to STOP mode?") +  langSelector.emptyString
    readonly property string stopToRunMsg: qsTr("Device is in STOP mode. Do you want to change it to RUN mode?") +  langSelector.emptyString


    // Trend
    readonly property string trendAlertMsgTitle: qsTr("Note") + langSelector.emptyString
    readonly property string trendLimitationMsg: qsTr("Only 8 tags can be configured for the trendview") + langSelector.emptyString
    readonly property string trendDataTypeLimitationMsgS7: qsTr("Only BIN, DEC+/-, DEC_UNSIGNED, HEX data type tags can be configured for the trendview") + langSelector.emptyString
    readonly property string trendDataTypeLimitationMsgLogo: qsTr("Only BINARY, SIGNED, UNSIGNED, HEX data type tags can be configured for the trendview") + langSelector.emptyString
    readonly property string trendViewTitle: qsTr("Trendview") + langSelector.emptyString

    // Screen Device Overview

    readonly property string deviceOverviewEdit: qsTr("Edit Device Overview") + langSelector.emptyString
    readonly property string deviceOverview: qsTr("Device Overview") + langSelector.emptyString


    // Screen System Info
    readonly property string stationInfo: qsTr("Station Info") + langSelector.emptyString
    readonly property string iostatus: qsTr("IO Status") + langSelector.emptyString
    readonly property string tags: qsTr("Variables") + langSelector.emptyString
    readonly property string diagnostics: qsTr("Diagnostics") + langSelector.emptyString
    readonly property string functions: qsTr("Functions") + langSelector.emptyString
    readonly property string aslog: qsTr("AS Log") + langSelector.emptyString
    readonly property string dump: qsTr("Dump") + langSelector.emptyString
    readonly property string datalog: qsTr("Data Log") + langSelector.emptyString
    readonly property string details: qsTr("Details") + langSelector.emptyString

    readonly property string firmwareTag: qsTr("FW: ") + langSelector.emptyString
    readonly property string hardwareTag: qsTr("HW: ") + langSelector.emptyString
    readonly property string seriTagTag: qsTr("Serial ") + langSelector.emptyString
    readonly property string support: qsTr("SUPPORT") + langSelector.emptyString

    // Screen App Information
    readonly property string appInfoTitle: qsTr("Information") + langSelector.emptyString

    readonly property string info_Imprint: qsTr("Imprint") + langSelector.emptyString
    readonly property string info_PrivacyPolicy: qsTr("Privacy Policy") + langSelector.emptyString
    readonly property string info_TermsOfUse: qsTr("Terms of Use") + langSelector.emptyString
    readonly property string info_Security: qsTr("Security") + langSelector.emptyString
    readonly property string info_Changelog: qsTr("Change Log") + langSelector.emptyString
    readonly property string info_License: qsTr("License") + langSelector.emptyString
    readonly property string info_Feedback: qsTr("Feedback") + langSelector.emptyString

    readonly property string info_LicenseConditionsSiemens: qsTr("Siemens License Conditions") + langSelector.emptyString
    readonly property string info_LicenseAndroidNDK: qsTr("Android NDK") + langSelector.emptyString
    readonly property string info_LicenseAndroidCopyrights: qsTr("Copyrights Android NDK") + langSelector.emptyString
    readonly property string info_LicenseAppleSDK: qsTr("Apple SDK (iOS)") + langSelector.emptyString
    readonly property string info_LicenseAppleSDKCopyrights: qsTr("Copyrights Apple SDK (iOS)") + langSelector.emptyString
    readonly property string info_LicenseOSSCrypto: qsTr("Open Source Software: crypto++") + langSelector.emptyString
    readonly property string info_LicenseAndroidSDK: qsTr("Google Android SDK") + langSelector.emptyString
    readonly property string info_LicenseAndroidSDKCopyrights: qsTr("Copyrights Google Android SDK") + langSelector.emptyString
    readonly property string info_LicenseOpenSSL: qsTr("OSS: OpenSSL - 1.0.1i") + langSelector.emptyString
    readonly property string info_LicenseOpenSSLCopyrights: qsTr("Copyrights OSS: OpenSSL") + langSelector.emptyString
    readonly property string info_LicenseQt: qsTr("Qt for Mobile Multi OS") + langSelector.emptyString
    readonly property string info_LicenseQtCopyrights: qsTr("Copyrights Qt for Mobile Multi OS") + langSelector.emptyString

    readonly property string whatisnewDialogTitle: qsTr("What's new!") + langSelector.emptyString

    readonly property string info_ImprintUrl: qsTr("http://www.siemens.com/corp/en/app/imprint.htm") + langSelector.emptyString
    readonly property string info_PrivacyPolicyUrl: qsTr("http://www.siemens.com/corp/en/app/privacy.htm") + langSelector.emptyString
    readonly property string info_FeedbackUrl: qsTr("http://www.siemens.com/simatic-apps") + langSelector.emptyString
    readonly property string info_lang: qsTr("EN") + langSelector.emptyString



    //IOStatus
    readonly property string io_selTitle: qsTr("IO State Selection") + langSelector.emptyString

    readonly property  string io_Inputs: qsTr("Inputs") + langSelector.emptyString
    readonly property  string io_Ouputs: qsTr("Outputs") + langSelector.emptyString
    readonly property  string io_Flags: qsTr("Flags") + langSelector.emptyString
    readonly property  string io_ShiftRegBits: qsTr("Shift Register Bits") + langSelector.emptyString
    readonly property  string io_CursorKeys: qsTr("Cursor Keys") + langSelector.emptyString
    readonly property  string io_AnalogInputs: qsTr("Analog Inputs") + langSelector.emptyString
    readonly property  string io_AnalogOutput: qsTr("Analog Output") + langSelector.emptyString
    readonly property  string io_AnalogFlags: qsTr("Analog Flags") + langSelector.emptyString
    readonly property  string io_FuntionKeys: qsTr("LOGO! TD Function Keys") + langSelector.emptyString

    readonly property string io_tableTitle: qsTr("Time/Data") + langSelector.emptyString

    //Screen Settings
    readonly property string settings: qsTr("Settings") + langSelector.emptyString

    //DateTimeSettings
    readonly property string datetimeMsgTitle: qsTr("Set Date and Time") + langSelector.emptyString
    readonly property string datetimeErrorMsg: qsTr("Please select date and time") + langSelector.emptyString
    readonly property string dateErrorMsg: qsTr("Date is invalid") + langSelector.emptyString
    readonly property string dateSetStateSuccessMsg: qsTr("Operation succeeded") + langSelector.emptyString
    readonly property string dateSetStateErrorMsg: qsTr("Operation failed") + langSelector.emptyString
    readonly property string setClock: qsTr("Set Clock on PLC") + langSelector.emptyString
    readonly property string date: qsTr("Date:") + langSelector.emptyString
    readonly property string time: qsTr("Time:") + langSelector.emptyString
    readonly property string usePLCClock:qsTr("Use PLC clock") + langSelector.emptyString
    readonly property string useMobileClock: qsTr("Use mobile clock") + langSelector.emptyString

    // LanguageSettings
    readonly property string langSelectionHeading :qsTr("Language Selection") + langSelector.emptyString
    readonly property string langEnglish: qsTr("English") + langSelector.emptyString
    readonly property string langGerman: qsTr("German") + langSelector.emptyString

    // Refresh Frequency
    readonly property string refrFrequencyTitle: qsTr("Refresh Frequency") + langSelector.emptyString
    readonly property string secs: qsTr("Seconds") + langSelector.emptyString
    readonly property string sec: qsTr("Second") + langSelector.emptyString

    // DataLog
    readonly property string dataLogHeading :qsTr("Data Log") + langSelector.emptyString

    // Screen Diagnostics
    readonly property string diagnosticsHeadline :qsTr("Diagnostics") + langSelector.emptyString
    readonly property string acknOnPLC: qsTr("Acknowledge on PLC") + langSelector.emptyString
    readonly property string diagnosticsS7Headline: qsTr("Diagnostics Buffer") + langSelector.emptyString
    readonly property string diagnosticsDetailHeadline: qsTr("Diagnostics Buffer Details") + langSelector.emptyString
    readonly property string diagnosticsNewAlerts: qsTr("New Alerts") + langSelector.emptyString
    readonly property string badRequestInDiagnostics: qsTr("Diagnostics Details cannot be retrieved") + langSelector.emptyString


    // ScreenTagList
    readonly property string taglist: qsTr("Tag List") + langSelector.emptyString
    readonly property string edittaglist: qsTr("Edit Tag List") + langSelector.emptyString

     //SSL related texts
    readonly property string sslHeader :qsTr("Certificate") + langSelector.emptyString
    readonly property string sslNoCertAvailable :qsTr("There is no certificate available for this connection profile") + langSelector.emptyString
    readonly property string sslDelCertBtn :qsTr("Delete Certificate") + langSelector.emptyString
    readonly property string sslShowCertBtn :qsTr("Show Certificate") + langSelector.emptyString
    readonly property string sslCertDeletedMsg :qsTr("Certificate deleted") + langSelector.emptyString
    readonly property string sslCertGreenMsg : qsTr("Do you want to accept the server certificate? Proceed only if you are sure the certificate is trustworthy.")+ langSelector.emptyString
    readonly property string sslNoCertAvailableMgs :qsTr("No certificate available") + langSelector.emptyString
    readonly property string sslCertYellowMsg : qsTr("The certificate on the server is not the same as currently stored. Possible reasons are a different server device, new firmware or a man-in-the-middle-attack. Do you want to accept the server certificate?")+ langSelector.emptyString

    readonly property string tagWriteErrorTitle:qsTr("Tag Write Error") + langSelector.emptyString
    readonly property string autFailedMsgTitle: qsTr("Authentication Failed!") + langSelector.emptyString
    readonly property string autFailedMsgError: qsTr("Invalid Username or Password") + langSelector.emptyString
    readonly property string rootedDeviceMsgTitle: qsTr("Warning!") + langSelector.emptyString
    readonly property string rootedDeviceAlertMsg: qsTr("Your app is running on jailbroken/rooted device.\nSiemens will not be responsible for any damage that may result from using this app ") + langSelector.emptyString

    readonly property string authenticationRequired : qsTr("Host requires authorization or permissions are not sufficient. Please check user management settings of PLC web server.") + langSelector.emptyString
}
