import QtQuick 2.0
import QtQml.Models 2.1
import LoggerComponents 1.0

Item {
    width: 600
    height: 300
    property alias listViewObj:tagListView
    //color: "transparent"

    Component {
         id: highlight
         Rectangle {
             visible: false
             height:def.listviewEntryHeight
             color: def.listviewHighLightColor
             y: tagListView.currentItem.y
        /*     Behavior on y {
                 SpringAnimation {
                     spring: 1.5
                     damping: 0.1
                 }
             }*/
         }
     }

    ListView{
        id:tagListView
        anchors.fill: parent

        model: tagDelegateModel

        displaced: Transition {
            NumberAnimation { properties: "x,y"; easing.type: Easing.OutQuad }
        }
        move:Transition{
            NumberAnimation { properties: "x,y"; easing.type: Easing.OutQuad ;duration: 500}
        }
        moveDisplaced:Transition{
            NumberAnimation { properties: "x,y"; easing.type: Easing.OutQuad ;duration: 200}
        }

//        highlight:  highlight
//        highlightFollowsCurrentItem:true
//        highlightRangeMode: ListView.ApplyRange
        focus: true
        clip:true
    }

    function scrollUpListView()
    {
        if(tagListView.currentIndex > 0)
        {
            tagListView.decrementCurrentIndex()
        }
    }

    function scrollDownListView()
    {
        if(tagListView.currentIndex < (tagListView.count - 1))
        {
            tagListView.incrementCurrentIndex()
        }
    }

    function setTagListCurrentIndex(index)
    {
        tagListView.currentIndex = index
    }

}
