import QtQuick 2.0

Rectangle{
    id: timeSpinner

    property alias spinner_Hour : spinnerHour
    property alias spinner_Minutes : spinnerMinutes
    property alias spinner_AMPM : spinnerAMPM
    property alias spinnerHeight: timeSpinner.height

    signal cancelButtonClicked()
    signal selectButtonClicked()

    width:parent.width; height: headline.height * 3.17 //spinnerHeight
    y : parent.height
    opacity: 0
    color: "#D0DADF"
    RollerControl {
        id: spinnerHour
        width: parent.width / 6; height: parent.height / 1.3
        x : (mainObject.width / 2) - ((parent.width / 6 *3 ) / 2)
        anchors{ top: shadow.bottom;}
        model: ListModel{
            ListElement{val:"01"} ListElement{val:"02"} ListElement{val:"03"}
            ListElement{val:"04"} ListElement{val:"05"} ListElement{val:"06"}
            ListElement{val:"07"} ListElement{val:"08"} ListElement{val:"09"}
            ListElement{val:"10"} ListElement{val:"11"} ListElement{val:"12"}
        }        
        delegate: Component{
            DefaultText {
                id:spinnerHourText
                font.pixelSize: (index == spinnerHour.currentIndex) ? def.headlineHeight*0.33 : def.headlineFontSize;
                font.bold: (index == spinnerHour.currentIndex) ? true:false
                color: (index == spinnerHour.currentIndex) ? def.colSelectedOn : "black"
                text: val;
                scale: 0.8
            }
        }
    }

    Rectangle{
        width:2
        height:spinnerHour.height - def.borderDistanceTop - def.borderDistanceBottom
        color: def.colListSeperator
        anchors.left: spinnerHour.right
        anchors.top : spinnerHour.top
        anchors.topMargin: def.borderDistanceTop
    }

    RollerControl {
        id: spinnerMinutes
        width: parent.width / 6; height: parent.height / 1.3
        anchors{ top: shadow.bottom;}
        x: spinnerHour.x + spinnerHour.width + 2        
        model: ListModel{
            ListElement{val:"00"} ListElement{val:"01"} ListElement{val:"02"} ListElement{val:"03"} ListElement{val:"04"}
            ListElement{val:"05"} ListElement{val:"06"} ListElement{val:"07"} ListElement{val:"08"} ListElement{val:"09"}
            ListElement{val:"10"} ListElement{val:"11"} ListElement{val:"12"} ListElement{val:"13"} ListElement{val:"14"}
            ListElement{val:"15"} ListElement{val:"16"} ListElement{val:"17"} ListElement{val:"18"} ListElement{val:"19"}
            ListElement{val:"20"} ListElement{val:"21"} ListElement{val:"22"} ListElement{val:"23"} ListElement{val:"24"}
            ListElement{val:"25"} ListElement{val:"26"} ListElement{val:"27"} ListElement{val:"28"} ListElement{val:"29"}
            ListElement{val:"30"} ListElement{val:"31"} ListElement{val:"32"} ListElement{val:"33"} ListElement{val:"34"}
            ListElement{val:"35"} ListElement{val:"36"} ListElement{val:"37"} ListElement{val:"38"} ListElement{val:"39"}
            ListElement{val:"40"} ListElement{val:"41"} ListElement{val:"42"} ListElement{val:"43"} ListElement{val:"44"}
            ListElement{val:"45"} ListElement{val:"46"} ListElement{val:"47"} ListElement{val:"48"} ListElement{val:"49"}
            ListElement{val:"50"} ListElement{val:"51"} ListElement{val:"52"} ListElement{val:"53"} ListElement{val:"54"}
            ListElement{val:"55"} ListElement{val:"56"} ListElement{val:"57"} ListElement{val:"58"} ListElement{val:"59"}
        }        
        delegate:
            Component{
            DefaultText {
                id:spinnerMinuteText
                font.pixelSize: (index == spinnerMinutes.currentIndex) ? def.headlineHeight*0.33 : def.headlineFontSize;
                font.bold: (index == spinnerMinutes.currentIndex) ? true:false
                color: (index == spinnerMinutes.currentIndex) ? def.colSelectedOn : "black"
                text: val;
                scale: 0.8
            }
        }
    }

    Rectangle{
        width:2
        height:spinnerHour.height - def.borderDistanceTop - def.borderDistanceBottom
        color: def.colListSeperator
        anchors.left: spinnerMinutes.right
        anchors.top : spinnerMinutes.top
        anchors.topMargin: def.borderDistanceTop
    }

    RollerControl {
        id: spinnerAMPM
        width: parent.width / 6; height: parent.height / 1.3
        anchors{ top: shadow.bottom;}
        x: spinnerMinutes.x + spinnerMinutes.width + 2
        model: ListModel{
            ListElement{val:"AM"} ListElement{val:"PM"}

        }       
        delegate: Component{
            DefaultText {
                id:spinnerAMPMText
                font.pixelSize: (index == spinnerAMPM.currentIndex) ? def.headlineHeight*0.33 : def.headlineFontSize;
                font.bold: (index == spinnerAMPM.currentIndex) ? true:false
                color: (index == spinnerAMPM.currentIndex) ? def.colSelectedOn : "black"
                text: val;
                scale: 0.8
            }
        }
    }
    Button{
        isTextbutton: true
        width: parent.width / 2.5
        height: headline.height / 2
        button_Text: "Cancel"
        anchors{ left: timeSpinner.left; leftMargin: def.borderDistanceLeft ;top: spinnerHour.bottom; topMargin: def.borderDistanceTop}
        onButtonClicked: {
            cancelButtonClicked()
        }
    }
    Button{
        isTextbutton: true
        width: parent.width / 2.5
        height: headline.height / 2
        button_Text: "Select"
        anchors{ right: timeSpinner.right; rightMargin: def.borderDistanceRight ;top: spinnerHour.bottom; topMargin: def.borderDistanceTop}
        onButtonClicked: {
            selectButtonClicked()
        }
    }
    Shadow{id:shadow; rotation: 180 }
}
