import QtQuick 2.0

Rectangle {
    height: dialog.height
    width: dialog.width
    id : topRect
    color : "transparent"

    x : parent.width /2 - dialog.width / 2
    y : parent.height
    property alias toast: dialog

    signal toastCompleted;

    Rectangle {
        id: dialog
        radius: 10
        border.color: "green"
        border.width: 3
        opacity: 0
        anchors.centerIn: parent
        width: dialogText.width + 26;
        height: dialogText.height + 6
        color: 'lightsteelblue'
        z: 65535 //Arbitrary number chosen to be above all the items, including the scaled perspective ones.

        function show(str){
            topRect.y = topRect.parent.height
            dialogText.text = str;
            dialogAnim.start();
        }

        DefaultText {
            id: dialogText
            x: 3; y: 3
            font.pixelSize: 14
            anchors.centerIn: parent
        }

        ParallelAnimation
        {
            id: dialogAnim
            PropertyAnimation {target: dialog; properties: "opacity"; to: 1.0; duration: 500 }
            SequentialAnimation {
                NumberAnimation { target: topRect; property:"y"; to: topRect.y - (topRect.y/3); duration: 500 }
                PauseAnimation { duration: 1500 }
                NumberAnimation { target: topRect; property:"y"; to: topRect.y + 5; duration: 500 }
                PropertyAnimation {target: dialog; properties: "opacity"; to: 0; duration: 500 }
            }
        }
    }
    onYChanged: {
        if(topRect.y === topRect.parent.height + 5)
        {
            toastCompleted()
        }
    }
}
